Bug 1193474 - Package libgfapi-python for its consumers [NEEDINFO]
Summary: Package libgfapi-python for its consumers
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: GlusterFS
Classification: Community
Component: libgfapi-python
Version: mainline
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Humble Chirammal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1215562
TreeView+ depends on / blocked
 
Reported: 2015-02-17 12:38 UTC by Humble Chirammal
Modified: 2017-01-19 14:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1215562 (view as bug list)
Environment:
Last Closed: 2017-01-19 14:59:26 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
ndevos: needinfo? (hchiramm)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1411947 medium CLOSED Review Request: python-glusterfs-api - Python bindings for GlusterFS libgfapi 2020-10-14 00:28:05 UTC

Internal Links: 1411947

Description Humble Chirammal 2015-02-17 12:38:04 UTC
Description of problem:

Currently libgfapi-python is not packaged , so the consumers like vdsm, openstack.etc are not able to make use of python bindings of libgfapi.  


Version-Release number of selected component (if applicable):

N/A

How reproducible:

N/A

Steps to Reproduce:
N/A

Actual results:

No package/rpm shipped for libgfapi-python product.


Expected results:

An rpm named libgfapi-python has to be produced out of 'libgfapi-python' project in review.gluster.org and has to be shipped with distros like 'fedora'.


Additional info:

Comment 1 Humble Chirammal 2015-02-17 12:43:25 UTC
The current source of libgfapi-python has subdirs in name 'glusterfs' and setup.py list 'gfapi' as its name module name. There should be consistency in name and the consumers should get a better picture from the 'name' itself. As part of packaging, I have renamed the reference of 'glusterfs' from the source to 'libgfapi'. The patch is available in review.gluster.org ( http://review.gluster.org/#/c/9668/ ) for the review.

Comment 2 Lans Carstensen 2015-02-17 23:28:44 UTC
FWIW, I'd recommend a package name of "glusterfs-api-python" for this rpm.  libgfapi bindings work really stems from and requires prior installation of "glusterfs-api".

Comment 3 Lans Carstensen 2015-02-18 14:50:17 UTC
I read the review more carefully, please don't bother considering my previous comment.  I was speaking about rpm packaging, not Python module naming.

Comment 4 Humble Chirammal 2015-02-20 05:56:58 UTC
(In reply to Lans Carstensen from comment #2)
> FWIW, I'd recommend a package name of "glusterfs-api-python" for this rpm. 
> libgfapi bindings work really stems from and requires prior installation of
> "glusterfs-api".

Thanks for the suggestion. Yeah, we can keep the 'rpm' name as 'glusterfs-api-python' or similar. We are discussing more on  module naming part at  http://review.gluster.org/#/c/9668/ .

Comment 5 Humble Chirammal 2015-04-15 16:24:50 UTC
The first draft of spec file is ready for review @http://review.gluster.org/#/c/10256/ .

The spec file is compatible to make below structure for gluster namespace so that it is more portable and scalable for future use.

  <sitepackages>/gluster/
                         |
                         -- __init__.py
                         |
                         |
                         -- glupy
                                 |
                                 -- __init__.py
                                 -- glupy.py
                                 -- ........
                         |
                         |
                         -- gfapi
                                 |
                                  -- __init__.py
                                  -- gfapi.py
                                  -- ........

By above structure clients can import:

 >>> from gluster import glupy  
 >>> from gluster import gfapi

Comment 6 Lans Carstensen 2015-04-15 16:38:14 UTC
It's a nitpick, but since "glusterfs" is what's being used instead of "gluster" for packaging the C API (glusterfs-api) which this package is dependent upon I'd encourage you to use "glusterfs" here also.  Imports would become:

from glusterfs import glupy
from glusterfs import gfapi

Comment 7 Niels de Vos 2015-05-26 13:59:02 UTC
(In reply to Lans Carstensen from comment #6)
> It's a nitpick, but since "glusterfs" is what's being used instead of
> "gluster" for packaging the C API (glusterfs-api) which this package is
> dependent upon I'd encourage you to use "glusterfs" here also.  Imports
> would become:
> 
> from glusterfs import glupy
> from glusterfs import gfapi

We did consider this, but we decided to use "gluster" instead. All packages related to Gluster (the community, as a whole eco-system of projects) can use the "gluster" namespace. If we use "glusterfs" there is something like a restriction on what could get included there. We would like to see different projects use the "gluster" namespace, even if they are packaged within the (main) GlusterFS project.

Additional tools and utilities can provide shared Python packages/libraries, things like this are possible now (fictional example):

    # import functions to get statistics from tcpdumps
    from gluster import wireshark

Comment 8 Niels de Vos 2016-02-28 09:50:11 UTC
Hi Humble, did you make any progress here? I'd like to see the Python libgfapi bindings in Fedora, but can not find the package review for it. Can you link that here?

Thanks!


Note You need to log in before you can comment on or make changes to this bug.